This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 44567 - Cant debug on device (iOS): When trying to debug my XF app on device, it compile and then and the output window 'Launch failed. The app 'app' could not be launched on 'iPhone'. Please check the logs for more details.'
Summary: Cant debug on device (iOS): When trying to debug my XF app on device, it comp...
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: --- critical
Target Milestone: 4.2.1 (C8SR1)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-21 12:53 UTC by Axel
Modified: 2016-10-14 17:26 UTC (History)
8 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
SVCLog (130.47 KB, text/plain)
2016-09-21 14:33 UTC, Axel
Details
ide.log (106.61 KB, text/plain)
2016-09-21 14:34 UTC, Axel
Details
svclog2 (59.05 KB, text/plain)
2016-09-26 13:29 UTC, Axel
Details
idelog2 (39.22 KB, text/plain)
2016-09-26 13:30 UTC, Axel
Details
logs3.zip (17.45 KB, application/x-zip-compressed)
2016-10-06 10:08 UTC, Axel
Details
Xcode log (73.21 KB, text/plain)
2016-10-06 12:42 UTC, Axel
Details

Description Axel 2016-09-21 12:53:37 UTC
# Steps to reproduce
Try to debug an app on iOS 10 device
NOTE I USE VS2015 in FRENCH

# Expected behavior
Debugguer launch and debug normally

# Actual behavior
Here is the  output window : 
Launching 'VfrTracks.Mobile.iOS' on 'iPhone de Axel'...
The app has been terminated.
Launch failed. The app 'VfrTracks.Mobile.iOS' could not be launched on 'iPhone de Axel'. Please check the logs for more details.
The app has been terminated.
The app has been terminated.

# Supplemental info (logs, images, videos)
FYI project settings are : 
SDK Version 10
Dont link
Enable debugging / Enable incremental build
Enable device specific builds

I tryed to uncheck Enable incremental build and Enable device specific builds but the bug is still here


Here is the log, looks like there some i18l bug related stuff : 
Xamarin Information: 0 : [2016-09-21 14:23:55.4991] Xamarin - 4.2.0.680-cycle8+c4382f5
Xamarin.VisualStudio.Activation.AccountManager Information: 0 : [2016-09-21 14:23:56.0532] VS2015 Enterprise
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-21 14:23:56.3614] Read license: iOS Business 2017-01-04 19:54:57Z
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-21 14:23:56.5306] Running license sync for iOS
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-21 14:23:56.8403] Read license: Android Business 2017-01-04 19:54:57Z
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-21 14:23:57.0749] Running license sync for Android
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-09-21 14:23:57.4198] Hooked up SDB tracing adapter
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-09-21 14:23:57.5846] Initialization finished
Xamarin.VisualStudio.IOS.XamarinIOSPackage Warning: 0 : [2016-09-21 14:23:57.7538] Initializing Xamarin.VisualStudio.IOS.XamarinIOSPackage.
Xamarin.VisualStudio.IOS.XamarinIOSPackage Information: 0 : [2016-09-21 14:23:57.9384] MDAddinsHash: ed25d008672663eeb9db55f1ccecb3c24d2fd3b2

Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-21 14:24:02.0816] Updated license: iOS Business 04/01/2017 18:54:57
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-21 14:24:02.2902] Checking whether iOS license valid for installed version.
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-21 14:24:02.5442] Read license: iOS Business 2017-01-04 19:54:57Z
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-21 14:24:02.7752] Updated license: Android Business 04/01/2017 18:54:57
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-21 14:24:03.2139] Checking whether Android license valid for installed version.
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-09-21 14:24:03.4601] Read license: Android Business 2017-01-04 19:54:57Z
Xamarin.VisualStudio.IOS.AssetCatalog.AssetCatalogFlavoredProject Error: 0 : [2016-09-21 14:24:10.4574] Could not load asset catalogs
System.FormatException: Input string was not in a correct format.
   at System.Number.StringToNumber(String str, NumberStyles options, NumberBuffer& number, NumberFormatInfo info, Boolean parseDecimal)
   at System.Number.ParseDecimal(String value, NumberStyles options, NumberFormatInfo numfmt)
   at System.Convert.ToDecimal(String value)
   at Xamarin.VisualStudio.IOS.AssetCatalog.ImageBase.set_Size(String value)
   at Xamarin.VisualStudio.IOS.AssetCatalog.AssetCatalogManager.LoadCatalogs()
   at Xamarin.VisualStudio.IOS.AssetCatalog.AssetCatalogFlavoredProject.<OnAggregationComplete>b__8_0()
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-09-21 14:24:11.0969] Hooked up SDB tracing adapter
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-09-21 14:24:11.2801] Initialization finished
Xamarin.VisualStudio.Android.XamarinAndroidPackage Warning: 0 : [2016-09-21 14:24:11.4475] Initializing Xamarin.VisualStudio.Android.XamarinAndroidPackage
Xamarin.VisualStudio.Android.Designer.MonoAndroidDesignerService Warning: 0 : [2016-09-21 14:24:12.0960] An unexpected error occurred trying to initialize Android Designer.
Xamarin.VisualStudio.IOS.Messaging.State.ServerStateContext Information: 0 : [2016-09-21 14:24:16.9714] MacServer State transition from DisconnectedState to SshConnectingState on Mac-mini-de-Axel.local (10.1.74.66)
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:18.2433] Starting connection to Mac Mac-mini-de-Axel.local...
Xamarin.Messaging.Client.Ssh.XmaCommands Warning: 0 : [2016-09-21 14:24:23.6379] Checksum failed for '/Users/axelcharpentier/Library/Caches/Xamarin/XMA/Broker/4.2.0.680'
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:23.9643] Installing Broker 4.2.0.680...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:24.4329] Uploading Broker 4.2.0.680 (512/5008 KB) 10%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:24.7439] Uploading Broker 4.2.0.680 (1008/5008 KB) 20%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:25.0106] Uploading Broker 4.2.0.680 (1504/5008 KB) 30%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:25.2613] Uploading Broker 4.2.0.680 (2016/5008 KB) 40%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:25.4987] Uploading Broker 4.2.0.680 (2512/5008 KB) 50%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:25.6988] Uploading Broker 4.2.0.680 (3008/5008 KB) 60%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:25.9150] Uploading Broker 4.2.0.680 (3520/5008 KB) 70%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:26.1225] Uploading Broker 4.2.0.680 (4016/5008 KB) 80%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:26.3311] Uploading Broker 4.2.0.680 (4512/5008 KB) 90%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:26.5473] Uploaded Broker 4.2.0.680 100%
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:27.8330] Starting Broker 4.2.0.680 in port 58025...
Xamarin.VisualStudio.IOS.Messaging.State.ServerStateContext Information: 0 : [2016-09-21 14:24:31.2215] MacServer State transition from SshConnectingState to SshConnectedState on Mac-mini-de-Axel.local (10.1.74.66)
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:32.2544] Connection successfully established with the Mac Mac-mini-de-Axel.local:58025
Xamarin.VisualStudio.IOS.Messaging.State.ServerStateContext Information: 0 : [2016-09-21 14:24:32.5078] MacServer State transition from SshConnectedState to AgentsStartingState on Mac-mini-de-Axel.local (10.1.74.66)
Xamarin.VisualStudio.IOS.Messaging.State.ServerStateContext Information: 0 : [2016-09-21 14:24:32.7397] Starting agents on Mac Mac-mini-de-Axel.local (10.1.74.66)
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:33.3410] Installing Agent IDB 4.2.0.680...
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:33.5950] Installing Agent Build 4.2.0.680...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:33.8264] Uploading IDB 4.2.0.680 (784/7723 KB) 10%...
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:34.0694] Installing Agent Designer 4.2.0.680...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:34.2805] Uploading IDB 4.2.0.680 (1552/7723 KB) 20%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:34.5279] Uploading Build 4.2.0.680 (176/1717 KB) 10%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:34.8283] Uploading Designer 4.2.0.680 (5984/59732 KB) 10%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:35.0284] Uploading Build 4.2.0.680 (352/1717 KB) 20%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:35.2235] Uploading IDB 4.2.0.680 (2320/7723 KB) 30%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:35.4817] Uploading Build 4.2.0.680 (528/1717 KB) 30%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:35.7136] Uploading IDB 4.2.0.680 (3104/7723 KB) 40%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:35.9831] Uploading Build 4.2.0.680 (688/1717 KB) 40%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:36.2818] Uploading IDB 4.2.0.680 (3872/7723 KB) 50%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:36.5000] Uploading Build 4.2.0.680 (864/1717 KB) 50%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:36.7004] Uploading Designer 4.2.0.680 (11952/59732 KB) 20%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:36.9166] Uploading Build 4.2.0.680 (1040/1717 KB) 60%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:37.1326] Uploading IDB 4.2.0.680 (4640/7723 KB) 60%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:37.4491] Uploading Build 4.2.0.680 (1216/1717 KB) 70%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:37.6848] Uploading IDB 4.2.0.680 (5408/7723 KB) 70%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:37.9348] Uploading Build 4.2.0.680 (1376/1717 KB) 80%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:38.1659] Uploading IDB 4.2.0.680 (6192/7723 KB) 80%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:38.3886] Uploading Designer 4.2.0.680 (17920/59732 KB) 30%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:38.6202] Uploading Build 4.2.0.680 (1552/1717 KB) 90%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:38.8204] Uploading IDB 4.2.0.680 (6960/7723 KB) 90%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:39.2679] Uploaded IDB 4.2.0.680 100%
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:39.5682] Uploaded Build 4.2.0.680 100%
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:39.8222] Uploading Designer 4.2.0.680 (23904/59732 KB) 40%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:40.7921] Uploading Designer 4.2.0.680 (29872/59732 KB) 50%...
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:41.3556] Starting Agent Build 4.2.0.680...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:41.6093] Uploading Designer 4.2.0.680 (35840/59732 KB) 60%...
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:41.8411] Starting Agent IDB 4.2.0.680...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:42.6903] Uploading Designer 4.2.0.680 (41824/59732 KB) 70%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:43.5283] Uploading Designer 4.2.0.680 (47792/59732 KB) 80%...
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:44.0643] Agent Build 4.2.0.680 is running
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:44.3765] Uploading Designer 4.2.0.680 (53760/59732 KB) 90%...
Xamarin.Messaging.VisualStudio.MessagingFileManager+UploadFileLogger Information: 0 : [2016-09-21 14:24:45.1846] Uploaded Designer 4.2.0.680 100%
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:47.9367] Agent IDB 4.2.0.680 is running
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:49.9333] Starting Agent Designer 4.2.0.680...
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:56.1647] Agent Designer 4.2.0.680 is running
Xamarin.VisualStudio.IOS.Messaging.State.ServerStateContext Information: 0 : [2016-09-21 14:24:56.3961] MacServer State transition from AgentsStartingState to ConnectedState on Mac-mini-de-Axel.local (10.1.74.66)
Xamarin.VisualStudio.IOS.Messaging.State.ServerStateContext Information: 0 : [2016-09-21 14:24:56.6436] Connected to the Mac Mac-mini-de-Axel.local (10.1.74.66) with Full support.
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:24:57.9676] Starting connection to Mac Mac-mini-de-Axel.local...
Xamarin.Messaging.VisualStudio.MessagingService Information: 0 : [2016-09-21 14:25:03.4199] Connection successfully established with the Mac Mac-mini-de-Axel.local:58025
Xamarin.Messaging.Client.MessagingClient Error: 0 : [2016-09-21 14:30:06.4724] An error occured on the receiver while executing a post for topic xvs/idb/4.2.0.680/launch-app and client vs1612axelc
Xamarin.Messaging.Exceptions.MessagingRemoteException: An error occured on client IDB420680 while executing a reply for topic xvs/idb/4.2.0.680/launch-app ---> Xamarin.Messaging.Exceptions.MonotouchException: 2016-09-21 14:30:06.999 mlaunch[6620:480875] Connection peer refused channel request for "com.apple.instruments.server.services.processcontrol"; channel canceled <DTXChannel: 0x7fceedd09c90>
error MT1007: Failed to launch the application '/Users/axelcharpentier/Library/Caches/Xamarin/mtbs/builds/VfrTracks.Mobile.iOS/50da77c8c6d540c863ccc128c8abc07e/bin/iPhone/Debug/build-iphone7.2-9.3.5/VfrTracksiOS.app' on the device 'iPhone de Axel': Object reference not set to an instance of an object. You can still launch the application manually by tapping on it.

  at Xamarin.Messaging.IDB.MTouch+<RunAsync>d__8.MoveNext () [0x00282] in <d5f6f73eb788413ea70f25c8348b57c6>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x00047] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:187 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x0002e] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:156 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x0000b] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:128 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:535 
  at Xamarin.Messaging.IDB.MTouch+<RunAsync>d__7.MoveNext () [0x0007b] in <d5f6f73eb788413ea70f25c8348b57c6>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x00047] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:187 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x0002e] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:156 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x0000b] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:128 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:535 
  at Xamarin.Messaging.IDB.MTouch+<LaunchAsync>d__5.MoveNext () [0x000bd] in <d5f6f73eb788413ea70f25c8348b57c6>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x00047] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:187 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x0002e] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:156 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x0000b] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:128 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:535 
  at Xamarin.Messaging.IDB.Handlers.LaunchAppMessageHandler+<RunMTouchAsync>d__17.MoveNext () [0x00148] in <d5f6f73eb788413ea70f25c8348b57c6>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x00047] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:187 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x0002e] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:156 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x0000b] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:128 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:535 
  at Xamarin.Messaging.IDB.Handlers.LaunchAppMessageHandler+<ExecuteOnPhysicalDeviceWithoutAssetsAsync>d__16.MoveNext () [0x00086] in <d5f6f73eb788413ea70f25c8348b57c6>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x00047] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:187 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x0002e] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:156 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x0000b] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:128 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:535 
  at Xamarin.Messaging.IDB.Handlers.LaunchAppMessageHandler+<ExecuteOnPhysicalDeviceAsync>d__14.MoveNext () [0x00189] in <d5f6f73eb788413ea70f25c8348b57c6>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x00047] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:187 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x0002e] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:156 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x0000b] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:128 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:535 
  at Xamarin.Messaging.IDB.Handlers.LaunchAppMessageHandler+<ExecuteAsync>d__12.MoveNext () [0x00118] in <d5f6f73eb788413ea70f25c8348b57c6>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x00047] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:187 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x0002e] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:156 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x0000b] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:128 
  at System.Runtime.CompilerServices.TaskAwaiter`1[TResult].GetResult () [0x00000] in <94fd79a3b7144c54b4cb162b50fc7761>:0 
  at Xamarin.Messaging.Client.RequestHandler`2+<HandleAsync>d__5[TMessage,TResult].MoveNext () [0x0011a] in <49d4b742e41a4f5e97d9640b38198574>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x00047] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:187 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x0002e] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:156 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x0000b] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:128 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <94fd79a3b7144c54b4cb162b50fc7761>:0 
  at Xamarin.Messaging.Client.MessageHandlerManager+<>c__DisplayClass17_0`2+<<RegisterHandlerAsync>b__1>d[TMessage,TResult].MoveNext () [0x000b3] in <49d4b742e41a4f5e97d9640b38198574>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x00047] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:187 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x0002e] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:156 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x0000b] in /private/tmp/source-mono-4.6.0/bockbuild-xamarin/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/runtime/compilerservices/TaskAwaiter.cs:128 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <94fd79a3b7144c54b4cb162b50fc7761>:0 
  at Xamarin.Messaging.Client.MessagingClient+<ReplyAsync>d__34`2[TRequest,TResponse].MoveNext () [0x000bd] in <49d4b742e41a4f5e97d9640b38198574>:0 
   --- End of inner exception stack trace ---
   at Xamarin.Messaging.Client.MessagingClient.<PostAsync>d__23`2.MoveNext()


# Test environment (full version information)
MAC OS 10.11.6
XCode 8

Microsoft Visual Studio Enterprise 2015
Version 14.0.25425.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Enterprise

Architecture and Modeling Tools   00322-80000-00000-AA610
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

Microsoft Visual Studio Tools for Applications 2015   00322-80000-00000-AA610
Microsoft Visual Studio Tools for Applications 2015

Visual Basic 2015   00322-80000-00000-AA610
Microsoft Visual Basic 2015

Visual C# 2015   00322-80000-00000-AA610
Microsoft Visual C# 2015

Visual C++ 2015   00322-80000-00000-AA610
Microsoft Visual C++ 2015

Windows Phone SDK 8.0 - ENU   00322-80000-00000-AA610
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   7.6.00907.1
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1   14.1.20810.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9.1   14.0.20622.0
Azure App Service Tools v2.9.1

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.0.6000.0
Microsoft Azure Data Lake Tools for Visual Studio

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

DataFactoryProject   1.0
Microsoft Data Factory Package

GitHub.VisualStudio   1.0
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

Microsoft .NET Core Tools (Preview 2)   14.1.20810.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Data Factory Node Node   1.0
Azure Data Factory extension for Visual Studio Server Explorer.

Microsoft Azure HDInsight HQL Service   2.0.6000.0
Language service for Hive query

Microsoft Azure HDInsight Tools for Visual Studio   2.0.6000.0
An integrated development environment for HDInsight application development.

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.40701.9

Microsoft Azure Tools   2.8
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.8.40211.2

Node.js Tools   1.1.40329.04
Adds support for developing and debugging Node.js apps in Visual Studio

Node.js Tools - Profiling   1.1.40329.04
Profiling support for Node.js projects.

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

NuProjPackage   1.0
NuGet Package Project System

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Analysis Services   13.0.1601.5
Microsoft SQL Server Analysis Services Designer 
Version 13.0.1601.5

SQL Server Data Tools   14.0.60525.0
Microsoft SQL Server Data Tools

SQL Server Integration Services   
Microsoft SQL Server Integration Services Designer
Version 13.0.1601.5

SQL Server Reporting Services   13.0.1601.5
Microsoft SQL Server Reporting Services Designers 
Version 13.0.1601.5

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual Studio Tools for Apache Cordova   Update 10
Visual Studio Tools for Apache Cordova

Visual Studio Tools for Universal Windows Apps   14.0.25420.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Web Essentials 2015.3   3.0.235
Adds many useful features to Visual Studio for web developers. Requires Visual Studio 2015

Xamarin   4.2.0.680 (c4382f5)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.0.18 (0e59c36)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.0.6 (6c3fee4)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 1 Axel 2016-09-21 13:40:36 UTC
Just had the same bug on the iPhoneSimulator...
So this very critical since I cant debug anymore
Comment 2 Axel 2016-09-21 14:30:25 UTC
Oups my bad, VS 2015 is in english but Win10 ans MacOS are in french.
Comment 3 Axel 2016-09-21 14:33:46 UTC
Created attachment 17639 [details]
SVCLog
Comment 4 Axel 2016-09-21 14:34:06 UTC
Created attachment 17640 [details]
ide.log
Comment 5 Brendan Zagaeski (Xamarin Support) 2016-09-21 22:24:29 UTC
## Questions for the bug reporter in case they might provide some useful clues

- What are the region and language settings for your iOS 10 device?  And what kind of device is it?



> Just had the same bug on the iPhoneSimulator...

- Does the issue happen on every attempt to deploy the simulator?

- Does it happen in a new from template "Single View (iPhone)" project or a new "Blank Xaml App (Xamarin.Forms Portable)" project?

- If not, if by chance you might be able to zip up and attach a minimized, self-contained test case that reproduces the bug with as little code as possible, that would be excellent.


Thanks in advance!




## Testing notes to the Xamarin team

I was hoping I might be able to replicate this behavior with an existing Swedish Windows / Swedish Mac test setup I had, but so far I haven't had any luck with that.  Given that the same apparent error was also observed in Bug 44578 and non-public Bug 44301, there's a chance the region settings might not be a critical factor in the end.  But I'll plan to start the install for the French locale on Windows and then come back to try this again when I get a chance (unless someone else beats me to testing that scenario or finding the other key factors needed to replicate).

I'll also try a few experiments with the test case from Bug 44380, since that test case was provided by the reporter of non-public Bug 44301.




## Variations tested so far

I primarily tested using a new template "Visual C# > Cross-Platform > Blank Xaml App (Xamarin.Forms Portable)".



### Devices and device region settings

- iPhone 6s Plus, iOS 10.0.1 (14A403) system language and number format (a) English/USA or (b) French/France

- iPhone 6s Plus, iOS 10.0.1 (14A403) device name that (a) contains spaces "iPhone de Axel" or (b) does not contain spaces "iPhone6sPlus"

- iPad Mini 2, iOS 8.0 (12A365) system language and number format to (a)English/USA or (b) Swedish/Sweden



### IDE language

- Visual Studio 2015 Update 2, UI language (a) English or (b) German



### Build settings

- "iOS Build > General [tab] > Enable incremental builds" (a) enabled or (b) disabled

- "iOS Build > General [tab] > Enable device-specific builds" (a) enabled or (b) disabled



### Mac OS region settings

- "System Preferences > Language and Region" "Preferred languages" and "Region" set to (a) English/USA or (b) Swedish/Sweden




## Additional environment info (held constant across all tests)



### Windows

XamarinVS 4.2.0.680 (c4382f5)

Microsoft Visual Studio Professional 2013
Version 12.0.30723.00 Update 3

Windows 10 Version 1511 (OS-version 10586.104), Swedish locale
Username: "Asbjörn åsa"



### Mac

Xamarin.iOS 10.0.0.6 (xcode8: 6c3fee4)
Mono 4.6.0 (mono-4.6.0-branch/746756c)

Xcode 8.0, Build version 8A218a

OS X 10.11.6
Username: "macuser"
Comment 6 Brendan Zagaeski (Xamarin Support) 2016-09-22 03:10:13 UTC
## Additional question

I have a vague suspicion this _might_ be related to Bug 44605 that I have just characterized and filed.  So I'd be curious to know if the failed assertion message from that bug appears in your iOS device log.  Please attach back the lines from that log for the time surrounding the failed deployment attempt.

You can find those logs under the disclosure arrow at the bottom of the  "Window -> Devices -> ${DeviceName}" window in Xcode.

("iOS Device Logs" on https://kb.xamarin.com/customer/en/portal/articles/1675684-where-can-i-find-my-version-information-and-logs-#ios-device-logs)


Thanks!
Comment 7 Axel 2016-09-26 13:29:23 UTC
Sorry for the delay so here is a few answers : 

- Exact i18n config : win10 french, VS2015 English (but it happened on a French one too), MacOS French, device language French, device region France

- This bug dont happen every time and seems to happen only in my project, but unfortunatly I cant share the whole project but since it looks like it is related to assets catalog, I might be able to send some standalone files

- to be more specific, when I launch the app from VS, it compiles, deploys, starts, I can see the splashscreen and then crash.

You'll find 2 more logs attached including the Xcode crash log.

When inspecting my csproj I found  that some resources have the @ url escaped (%40) like below

    <BundleResource Include="Resources\Images.xcassets\AppIcons.appiconset\Icon-60%403x.png" />
    <BundleResource Include="Resources\Images.xcassets\AppIcons.appiconset\Icon-60%402x.png" />
    <BundleResource Include="Resources\Images.xcassets\AppIcons.appiconset\Icon-40%403x.png" />
    <BundleResource Include="Resources\Images.xcassets\AppIcons.appiconset\Icon-40%402x.png" />

I'll try to change this manually to see if it solves the bug.
Comment 8 Axel 2016-09-26 13:29:55 UTC
Created attachment 17744 [details]
svclog2
Comment 9 Axel 2016-09-26 13:30:09 UTC
Created attachment 17745 [details]
idelog2
Comment 10 Axel 2016-09-26 13:32:16 UTC
Cf previous comment
Comment 11 Axel 2016-10-06 10:08:23 UTC
Created attachment 17901 [details]
logs3.zip
Comment 12 Axel 2016-10-06 12:41:41 UTC
I had the time to dig a little bit further : 
(FYI I updated to 4.2.0.703)

Environnement : win10 (1607) French, VS2015 (Xam 4.2.0.703) French, macOS French El capitain 10.11.6, Xcode 8.0 English, Device : ios 9.3, language and region French.

####### Test with a brand new project (Blank App : Xamarin Forms Portable)#############
 
No change to the code, just deleted UWP/Win project from the sln

###########Rebuild on device target##############

Rebuilding PCL : 00:00:00.41 
Rebuilding iOS : 00:03:12.03
No error, but almost 4 min to build and empty project is way too long

###########Debug on Device##############
It compiles, deploys, starts and crashs, same behavior than the previous messages, but the logs shows others errors see (logs3.zip)

###########Rebuild on simulator target##############
Rebuilding PCL  : 00:00:00.70
Rebuilding iOS : 00:00:19.29
No error

##########Debug on simulator###################
No error.
Comment 13 Axel 2016-10-06 12:42:03 UTC
Created attachment 17904 [details]
Xcode log
Comment 14 Axel 2016-10-06 12:44:41 UTC
Note that once the app is deployed on the device it works well as long as I dont try to debug (ie starting the app by tapping on the icon on the device)
Comment 15 Axel 2016-10-06 14:31:22 UTC
Ok may have a clue : the application copied to the device looks like is an older version than the one just compiled... may explain why the debugger crash.

Note that debugging from device using Xamarin Studio works as expected
Comment 16 bwright 2016-10-07 13:23:23 UTC
I am having this same issue. My app was crashing on launch, so I created a blank project, compiled it (took awhile like Axel's), went to debug it and it started and immediately crashed.  Can then launch the leftover app directly from the phone without an issue.

My iPhone was still on 9.3, I'm updating it to 10 and testing, will report the results, wondering if it's something to do with the new iOS 10 update a couple weeks ago and Xamarin.
Comment 17 bwright 2016-10-07 13:29:44 UTC
I updated to iOS 10, restarted my iPhone, and was able to compile and debug my blank app.  Testing my larger app and will report the results.  This is looking like perhaps a Xamarin update broke later versions of iPhone?
Comment 18 bwright 2016-10-07 13:39:20 UTC
Getting a little further; my app now launches but almost immediately breaks with:

---------------------------------------------------
2016-10-07 09:34:46.456 MyAppiOS[516:87265] *** Assertion failure in -[UIApplication _runWithMainScene:transitionContext:completion:], /BuildRoot/Library/Caches/com.apple.xbs/Sources/UIKit/UIKit-3599.6.1/UIApplication.m:3679
Unhandled Exception:

Foundation.MonoTouchException: 

Thread finished: <Thread Pool> #5
The thread 'Unknown' (0x5) has exited with code 0 (0x0).
---------------------------------------------------


Same app works just fine on Droid / WinPhone.  Something appears to still be broken with iPhone + Xamarin -- please help, this is a client app with a deadline!
Comment 19 bwright 2016-10-07 13:51:02 UTC
I commented out some gesture event handlers assigned in a couple of my constructors and now get this error launching the app with debug:

Foundation.MonoTouchException: Objective-C exception thrown.  Name: NSInternalInconsistencyException Reason: Application windows are expected to have a root view controller at the end of application launch

The app crashes when attempting to launch it on the device outside of debug afterwards.
Comment 20 bwright 2016-10-07 16:23:56 UTC
During testing for the previous issue, I had removed my MainPage setting in App.cs.  Restoring that resolved the above issue concerning root view controller.
Comment 21 Brendan Zagaeski (Xamarin Support) 2016-10-07 16:41:40 UTC
@bwright, I would recommend confirming that you are seeing "System.FormatException: Input string was not in a correct format." in the XamarinVS log files.  That message is the focus of this bug report.  For other behaviors that do not involve that error message, separate bug reports will be needed.  If that message is indeed present in your XamarinVS log files each time you are seeing a failure then you can disregard this comment.
Comment 22 Axel 2016-10-11 11:59:40 UTC
As Bwright, no problems when trying to debug on an ios10 device, only happen on 9.3 device (or lower ??)
Comment 23 Ben Beckley 2016-10-11 19:04:46 UTC
I am able to reproduce this with an iPad Mini and an iPhone 5, both 9.3.2, using Xamarin templates. 

Reproduction Steps
1) Create new Universal iOS project
2) Deploy to device
3) Observe in Output>Debug
>Launch failed. The app 'App4.iOS' could not be launched on 'XQAiPadMiniRa'. Please check the logs for more details.
The logs have the same stack trace as the description has.

Additionally, the XMA connection is changed to limited state, and I need to restart VS for the connection to be re-established.


Env info: https://gist.github.com/BenBeckley/63166cbe689b61673b0bfc235e8b65be
Comment 24 Ben Beckley 2016-10-11 19:07:40 UTC
Also, as Axel and Bwright said, I could not reproduce this when using an iOS10 device.
Comment 25 Carl Henry 2016-10-12 18:18:12 UTC
I'm  having the same problem at the moment I get the following message with visual studio on my pc, also I use an iPhone 5c with iOS 10

Launching 'Acty.ios' on 'Carl's Iphone'...
Launch failed The app 'Acty.iOS' could not be launched on 'Carl's Iphone'. Please check the logs for more details.
The app has been terminated.
The app has been terminated.
Comment 26 Brendan Zagaeski (Xamarin Support) 2016-10-12 20:05:53 UTC
To reiterate Comment 21:

@Carl, I would recommend confirming that you are seeing "System.FormatException: Input string was not in a correct format." in the XamarinVS log files.  That message is the focus of this bug report.  For other behaviors that do not involve that error message, separate bug reports will be needed.  If that message is indeed present in your XamarinVS log files each time you are seeing a failure then you can disregard this comment.
Comment 28 Ben Beckley 2016-10-14 15:25:11 UTC
Verified that I am now able to deploy to an iPad with 9.3.2 using 4.2.0.758 (cycle8/9535b34). Also tried an iPhone 6 with iOS 10.0.2 which worked as well.

Env info: https://gist.github.com/BenBeckley/05cb873f70c95bed81becafe1f908bd1

Note You need to log in before you can comment on or make changes to this bug.